Subject: bug#74176: closed (Re: [PATCH] gnu: libvpx: Update to 1.15.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 Mar 2025 13:48:02 +0000

Your bug report

#74176: [PATCH] gnu: libvpx: Update to 1.15.0.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74176: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74176
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: libvpx: Update to 1.15.0.
From: Andreas Enge <[email-masked]>
To: Ashish SHUKLA <[email-masked]>
Cc: [email-masked]
Date: Sat, 22 Mar 2025 14:47:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Am Sat, Mar 22, 2025 at 01:28:31PM +0000 schrieb Ashish SHUKLA:
> I'm sorry. It seems I missed your reply to this thread. I see my patch is
> committed[0], do we still need to keep this open ?

I think I only learnt after sending my comment that debbugs does not
resend messages to the bug submitter and other people who have
contributed, so I did not cc you (usually I send all my messages "by hand"
to the bug number).

Very mysteriously, the CVE patch still applies, even to the latest git
checkout with a commit from ten days ago! So I think we should just keep
it in, and I am closing this bug.

Andreas

Subject: [PATCH] gnu: libvpx: Update to 1.15.0.
From: [email-masked]
To: [email-masked]
Cc: Ashish SHUKLA <[email-masked]>
Date: Sat, 2 Nov 2024 14:31:13 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

From: Ashish SHUKLA <[email-masked]>

* gnu/packages/video.scm (libvpx): Update to 1.15.0.

Change-Id: I52213edadb56b8a65394281103dde528173cd7b3
---
 gnu/packages/video.scm | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm
index ff5dcd8daa..5d681f1c28 100644
--- a/gnu/packages/video.scm
+++ b/gnu/packages/video.scm
@@ -2959,7 +2959,7 @@ (define-public mpv-mpris
 (define-public libvpx
   (package
     (name "libvpx")
-    (version "1.12.0")
+    (version "1.15.0")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -2968,9 +2968,7 @@ (define-public libvpx
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "1x12f2bd4jqd532rnixmwvcx8d29yxiacpcxqqh86qczc49la8gm"))
-              (patches (search-patches "libvpx-CVE-2016-2818.patch"
-                                       "libvpx-CVE-2023-5217.patch"))))
+                "1q2scpfiifhpilw6qqpqihk98plj57gwh0vyiqwsv991i7b322bv"))))
     (build-system gnu-build-system)
     (arguments
      `(#:configure-flags (list "--enable-shared"

base-commit: 20c7b8dd04e421a139a02438cf1ddfdfe544a446
-- 
2.47.0